<template lang="pug">
header
  div {{ runtimeConfig.public.appName }}
  div
    button(@click="init()") GTAG

</template>
<script setup>
const {gtag, initialize} = useGtag(),
      runtimeConfig      = useRuntimeConfig()

const init = () => {
  try {
    initialize(runtimeConfig.public.gtagIdFoobar)
  } catch (e) {
  
  }
  
}
gtag('event', 'screen_view', {
  app_name: 'My App',
  screen_name: 'Home'
})

onMounted(() => {

})
</script>
